> ## Documentation Index
> Fetch the complete documentation index at: https://docs.borderless.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all Registered Webhooks

> Retrieve a list of all Registered Webhooks.



## OpenAPI

````yaml https://sandbox-api.borderless.xyz/v1/api-json get /v1/notifications/webhooks/settings
openapi: 3.0.0
info:
  title: Borderless API
  description: The Borderless API documentation.
  version: '1.0'
  contact: {}
servers:
  - url: https://sandbox-api.borderless.xyz
security: []
tags: []
paths:
  /v1/notifications/webhooks/settings:
    get:
      tags:
        - Webhooks
      summary: Get all Registered Webhooks
      description: Retrieve a list of all Registered Webhooks.
      operationId: SettingsController_getSettings
      parameters: []
      responses:
        '200':
          description: List of Registered Webhooks.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/WebhookSettingsEntity'
      security:
        - bearer: []
components:
  schemas:
    WebhookSettingsEntity:
      type: object
      properties:
        id:
          type: string
        url:
          type: string
        enabled:
          type: boolean
        createdAt:
          format: date-time
          type: string
        updatedAt:
          format: date-time
          type: string
      required:
        - id
        - url
        - enabled
        - createdAt
        - updatedAt
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````